# eric4.QScintilla.Lexers.LexerFortran77

Module implementing a Fortran lexer with some additional methods.

### Global Attributes

None

### Classes

LexerFortran77 | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerFortran77

Subclass to implement some additional lexer dependant methods.

### Derived from

QsciLexerFortran77, Lexer

### Class Attributes

None

### Methods

LexerFortran77 | Constructor
autoCompletionWordSeparators | Public method to return the list of separators for autocompletion.
initProperties | Public slot to initialize the properties.
isCommentStyle | Public method to check, if a style is a comment style.
isStringStyle | Public method to check, if a style is a string style.

#### LexerFortran77 (Constructor)

LexerFortran77(parent = None)

Constructor

parent
  parent widget of this lexer

#### LexerFortran77.autoCompletionWordSeparators

autoCompletionWordSeparators()

Public method to return the list of separators for autocompletion.

Returns:
  list of separators (QStringList)

#### LexerFortran77.initProperties

initProperties()

Public slot to initialize the properties.

#### LexerFortran77.isCommentStyle

isCommentStyle(style)

Public method to check, if a style is a comment style.

Returns:
  flag indicating a comment style (boolean)

#### LexerFortran77.isStringStyle

isStringStyle(style)

Public method to check, if a style is a string style.

Returns:
  flag indicating a string style (boolean)

Up